#
# spec file for package lunar-date
#
# Copyright (c) 2020 KYLIN LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Summary: Chinese Lunar calendar library
Name: lunar-date
Version: 2.9.3

%define _libver 3_0

Release: 2
License: GPL-2.0+
Group: System/I18n/Chinese
Url: http://liblunar.googlecode.com/
Source: https://liblunar.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires: gobject-introspection-devel intltool

BuildRequires: meson
BuildRequires: git
BuildRequires: gtk-doc

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-build

%description
Chinese Lunar calendar library

%package -n typelib-1_0-LunarDate-%{_libver}
Summary: Chinese Lunar calendar introspection bindings
Group: System/I18n/Chinese

%package devel
Summary: Chinese Lunar calendar library development files
Group: Development/Libraries/C and C++
Requires: typelib-1_0-LunarDate-%{_libver} = %{version}
Requires: lunar-date%{?_isa} = %{version}-%{release}

%package holiday
Summary: Chinese Holiday definition
Group: System/I18n/Chinese
BuildArch: noarch

%description
Library to support date conversion from/to chinese lunar calendar

%description -n typelib-1_0-LunarDate-%{_libver}
Introspection bindings for Chinese Lunar calendar for use in Gnome Shell

%description devel
Development files for Chinese Lunar calendar library

%description holiday
Holiday definition file for Chinese Lunar calendar library

%prep
%autosetup -S git

%build
%meson -Denable_gtk_doc=true -Dwith_introspection=true -Dwith_vala=false -Denable_tests=true -Dc_args="$CFLAGS -DHAVE_BIND_TEXTDOMAIN_CODESET"
%meson_build


%install
%meson_install
%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_bindir}/lunar-date
%{_libexecdir}/lunar-date/
%{_libexecdir}/lunar-date/lunar-date-daemon
%{_datadir}/dbus-1/services/org.chinese.Lunar.Date.service
%doc AUTHORS COPYING NEWS

%files -n typelib-1_0-LunarDate-%{_libver}
%defattr(-,root,root,-)
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/lunar-date-3.0
%{_includedir}/lunar-date-3.0/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Thu Dec 01 2022 wangxiaoqing <wangxiaoqing@kylinsec.com.cn> - 2.9.3-2
- KYOS-B: Adjust for LANG GB18030 (#I60PNN)

* Fri May 14 2021 longcheng <longcheng@kylinos.com.cn> - 2.9.3-1.9.kb2
- KYOS-B: Add Requires lunar-date for lunar-date-devel (#38372)

* Mon May 10 2021 kpkg <kpkg@kylinos.com.cn> - 2.9.3-1.9.kb1
- rebuild for KY3.4-4

* Thu Jul 02 2020 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 2.9.3
- KYOS-F: liblunar-date, version 2.9.3 Related #27425
